Turn a ProcedureRunPlan into an active ProcedureRun
Turn a procedure run plan into an active procedure run. The plan must not already be converted. Returns an async task — poll the task endpoint for completion and the created procedure run ID
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
procedure_run_plan_id
ID of the ProcedureRunPlan.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Response
Task started
pollingUri
taskId
Errors
400
Procedure Run Plan Promote Request Bad Request Error
403
Procedure Run Plan Promote Request Forbidden Error
404
Procedure Run Plan Promote Request Not Found Error
409
Procedure Run Plan Promote Request Conflict Error
429
Procedure Run Plan Promote Request Too Many Requests Error
500
Procedure Run Plan Promote Request Internal Server Error